<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="style-absoluted.css">
</head>
<body>
    <div class="body-shape">
        <img src="./body-shape.png">
    </div>

    <div class="container">
        <div class="row" style="height: 250px;background-color: #fff;"></div>
        <div class="row">
            <div class="col-sm-3">
                <div class="row justify-content-center">
                    <div class="bingo-preview-tube-balls"></div>
                    <div class="row g-0 bingo-preview-tube-bottom-balls justify-content-end">
                        <div class="col item bptbb-a" style="display: none;"></div>
                        <div class="col item bptbb-b" style="display: none;"></div>
                        <div class="col item bptbb-c" style="display: none;"></div>
                        <div class="col item bptbb-d" style="display: none;"></div>
                    </div>
                    <div class="bingo-preview-tube"></div>
                    <div class="bingo-preview-container">
                        <div class="bingo-preview-ball" style="display:none;"></div>
                    </div>
                    <div class="bingo-preview-extract"></div>
                </div>
            </div>
            <div class="col-sm-9 pt-3">
                <div class="row g-0 justify-content-center">
                    <div class="bingo-panel-number">
                        <div class="row g-0">
                            <div class="col item n01">1</div>
                            <div class="col item odd n02">2</div>
                            <div class="col item n03">3</div>
                            <div class="col item odd n04">4</div>
                            <div class="col item n05">5</div>
                            <div class="col item odd n06">6</div>
                            <div class="col item n07">7</div>
                            <div class="col item odd n08">8</div>
                            <div class="col item n09">9</div>
                            <div class="col item odd n10">10</div>
                            <div class="col item n11">11</div>
                            <div class="col item odd n12">12</div>
                            <div class="col item n13">13</div>
                            <div class="col item odd n14">14</div>
                            <div class="col item n15">15</div>
                        </div>
                        <div class="row g-0">
                            <div class="col item odd n16">16</div>
                            <div class="col item n17">17</div>
                            <div class="col item odd n18">18</div>
                            <div class="col item n19">19</div>
                            <div class="col item odd n20">20</div>
                            <div class="col item n21">21</div>
                            <div class="col item odd n22">22</div>
                            <div class="col item n23">23</div>
                            <div class="col item odd n24">24</div>
                            <div class="col item n25">25</div>
                            <div class="col item odd n26">26</div>
                            <div class="col item n27">27</div>
                            <div class="col item odd n28">28</div>
                            <div class="col item n29">29</div>
                            <div class="col item odd n30">30</div>
                        </div>
                        <div class="row g-0">
                            <div class="col item n31">31</div>
                            <div class="col item odd n32">32</div>
                            <div class="col item n33">33</div>
                            <div class="col item odd n34">34</div>
                            <div class="col item n35">35</div>
                            <div class="col item odd n36">36</div>
                            <div class="col item n37">37</div>
                            <div class="col item odd n38">38</div>
                            <div class="col item n39">39</div>
                            <div class="col item odd n40">40</div>
                            <div class="col item n41">41</div>
                            <div class="col item odd n42">42</div>
                            <div class="col item n43">43</div>
                            <div class="col item odd n44">44</div>
                            <div class="col item n45">45</div>
                        </div>
                        <div class="row g-0">
                            <div class="col item odd n46">46</div>
                            <div class="col item n47">47</div>
                            <div class="col item odd n48">48</div>
                            <div class="col item n49">49</div>
                            <div class="col item odd n50">50</div>
                            <div class="col item n51">51</div>
                            <div class="col item odd n52">52</div>
                            <div class="col item n53">53</div>
                            <div class="col item odd n54">54</div>
                            <div class="col item n55">55</div>
                            <div class="col item odd n56">56</div>
                            <div class="col item n57">57</div>
                            <div class="col item odd n58">58</div>
                            <div class="col item n59">59</div>
                            <div class="col item odd n60">60</div>
                        </div>
                        <div class="row g-0">
                            <div class="col item n61">61</div>
                            <div class="col item odd n62">62</div>
                            <div class="col item n63">63</div>
                            <div class="col item odd n64">64</div>
                            <div class="col item n65">65</div>
                            <div class="col item odd n66">66</div>
                            <div class="col item n67">67</div>
                            <div class="col item odd n68">68</div>
                            <div class="col item n69">69</div>
                            <div class="col item odd n70">70</div>
                            <div class="col item n71">71</div>
                            <div class="col item odd n72">72</div>
                            <div class="col item n73">73</div>
                            <div class="col item odd n74">74</div>
                            <div class="col item n75">75</div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col text-white justify-content-end">
                        <label class="btn btn-dark" onclick="javascript:showBall('b')">B</label>
                        <label class="btn btn-primary" onclick="javascript:showBall('i')">I</label>
                        <label class="btn btn-success" onclick="javascript:showBall('n')">N</label>
                        <label class="btn btn-warning" onclick="javascript:showBall('g')">G</label>
                        <label class="btn btn-info" onclick="javascript:showBall('o')">O</label>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
    
    <script>
        var startBptb = 0;
        var actualPreviewBallLetter = "";
        var _bptbbA = {
            'letter': ''
            ,'number': ''
            ,'active': false
        };
        var _bptbbB = {
            'letter': ''
            ,'number': ''
            ,'active': false
        };
        var _bptbbC = {
            'letter': ''
            ,'number': ''
            ,'active': false
        };
        var _bptbbD = {
            'letter': ''
            ,'number': ''
            ,'active': false
        };
        const showBall = (b) => {
            let bPc = document.querySelector('.bingo-preview-container');
            let tubeBalls = document.querySelector('.bingo-preview-tube-balls');
            let previewBall = document.querySelector('.bingo-preview-ball');
            let bptbba = document.querySelector('.bptbb-a');
            let bptbbb = document.querySelector('.bptbb-b');
            let bptbbc = document.querySelector('.bptbb-c');
            let bptbbd = document.querySelector('.bptbb-d');
            startBptb = startBptb - 56;
            tubeBalls.style['backgroundPosition'] = startBptb + "px";
            if(actualPreviewBallLetter != "") {
                previewBall.style['display'] = 'none';
                bPc.className = 'bingo-preview-container';
                bPc.classList.add('bingo-preview-container-ball')
                bPc.classList.add('bingo-preview-container-ball-' + actualPreviewBallLetter);
                previewBall.className = 'bingo-preview-ball';
                // previewBall.classList.remove('bingo-preview-ball-' + actualPreviewBallLetter);
                // previewBall.classList.remove('bingo-preview-ball-animation');
            }
            previewBall.classList.add('bingo-preview-ball-' + b);
            previewBall.style['display'] = '';
            void previewBall.offsetWidth;
            previewBall.classList.add('bingo-preview-ball-animation');
            actualPreviewBallLetter = b;
            
            if(_bptbbA.active && _bptbbB.active && _bptbbC.active && _bptbbD.active) {
                _bptbbD.letter = _bptbbC.letter;
                _bptbbC.letter = _bptbbB.letter;
                _bptbbB.letter = _bptbbA.letter;
                _bptbbA.letter = b;

                bptbbd.className = 'col item bptbb-d';
                bptbbd.classList.add('bingo-preview-tube-bottom-ball-' + _bptbbD.letter);

                bptbbc.className = 'col item bptbb-c';
                bptbbc.classList.add('bingo-preview-tube-bottom-ball-' + _bptbbC.letter);

                bptbbb.className = 'col item bptbb-b';
                bptbbb.classList.add('bingo-preview-tube-bottom-ball-' + _bptbbB.letter);

                bptbba.className = 'col item bptbb-a';
                bptbba.classList.add('bingo-preview-tube-bottom-ball-' + _bptbbA.letter);
            }
            if(!_bptbbA.active && _bptbbB.active && _bptbbC.active && _bptbbD.active) {
                bptbba.className = 'col item bptbb-a';
                bptbba.classList.add('bingo-preview-tube-bottom-ball-' + b);
                bptbba.style['display'] = 'block';
                _bptbbA.active = true;
                _bptbbA.letter = b;
            }
            if(!_bptbbA.active && !_bptbbB.active && _bptbbC.active && _bptbbD.active) {
                bptbbb.className = 'col item bptbb-b';
                bptbbb.classList.add('bingo-preview-tube-bottom-ball-' + b);
                bptbbb.style['display'] = 'block';
                _bptbbB.active = true;
                _bptbbB.letter = b;
            }
            if(!_bptbbA.active && !_bptbbB.active && !_bptbbC.active && _bptbbD.active) {
                bptbbc.className = 'col item bptbb-c';
                bptbbc.classList.add('bingo-preview-tube-bottom-ball-' + b);
                bptbbc.style['display'] = 'block';
                _bptbbC.active = true;
                _bptbbC.letter = b;
            }
            if(!_bptbbA.active && !_bptbbB.active && !_bptbbC.active && !_bptbbD.active) {
                bptbbd.className = 'col item bptbb-d';
                bptbbd.classList.add('bingo-preview-tube-bottom-ball-' + b);
                bptbbd.style['display'] = 'block';
                _bptbbD.active = true;
                _bptbbD.letter = b;
            }
            return;
        }
    </script>
</body>
</html>